Skip to main content

All Funds Overview

Retrieve overview information for all available mutual funds in the Pakistani market.

GET/3.0/funds/overview

Description

This endpoint returns overview information about all available mutual funds in the Pakistani market including NAV, AUM, inception date, and basic fund details.

Request

Authentication

  • Type: Bearer Token
  • Required: Yes

Parameters

This endpoint does not accept any query parameters.

Response

Success Response (200)

{
"status": "ok",
"message": "",
"data": [
{
"id": "1aa0884f-6999-4977-a739-6a7830a8e5be",
"name": "786 Smart Fund",
"symbol": "786SMF",
"category_id": "9",
"inception_date": "2003-05-20",
"aum": 1438020000,
"aum_date": "2025-11-01",
"nav": 87.9999,
"nav_date": "2025-12-31"
},
{
"id": "9557dd30-5dfa-4b79-9bc5-f1635f1232f6",
"name": "ABL Cash Fund",
"symbol": "ABLCF",
"category_id": "6",
"inception_date": "2010-07-31",
"aum": 61853000000,
"aum_date": "2025-11-01",
"nav": 10.7744,
"nav_date": "2025-12-31"
}
]
}

Response Fields

FieldTypeDescription
idstringUnique fund identifier (UUID)
namestringFund name
symbolstringFund symbol/ticker
category_idstringFund category ID
inception_datestringFund inception date (YYYY-MM-DD)
aumintegerAssets Under Management in PKR
aum_datestringAUM date (YYYY-MM-DD)
navnumberNet Asset Value per unit
nav_datestringNAV date (YYYY-MM-DD)

Error Responses

For detailed Common Error responses, see the Error Handling.

Examples

GET All Funds Overview

curl -X GET "https://csapis.com/3.0/funds/overview" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases

  • Fund Discovery: Browse all available mutual funds
  • NAV Tracking: Monitor current NAV and AUM for all funds
  • Fund Comparison: Compare funds by inception date, AUM, and NAV
  • Portfolio Research: Identify funds for investment